OBJ = data2ntp.o azero.o reads.o fafede.o calpedestal.o calcrc.o calpulse.o calunpack.o testcrc.o CRC.o fillin.o  clearall.o 

OOBJ = data2ntp.o azero.o reads.o fafede.o calpedestal.o calcrc.o calpulse.o ocalunpack.o testcrc.o CRC.o fillin.o  clearall.o

fillin.o:	fillin.c
		gcc -pg -g -extend_source -static -c fillin.c

testcrc.o:	testcrc.c
		gcc -pg -g -static -c testcrc.c

CRC.o:		CRC.c
		gcc -pg -g -static -c CRC.c

calcrc.o:	calcrc.cpp
		gcc -pg -g -static -c calcrc.cpp

reads.o:	reads.c
		gcc -pg -g -extend_source -static -c reads.c

fafede.o:	fafede.for
		g77 -pg -g -extend_source -static -c fafede.for

#riempi.o:	riempi.for
#		g77 -pg -g -extend_source -static -c riempi.for

azero.o:	azero.for
		g77 -pg -g -extend_source -static -c azero.for
#azero.o:	azero.cpp
#		gcc -pg -static -c azero.cpp

clearall.o:	clearall.for
		g77 -pg -g -extend_source -static -c clearall.for

calpedestal.o:	calpedestal.for
		g77 -Wall -pg -g -extend_source -static -c calpedestal.for

calpulse.o:	calpulse.for
		g77 -pg -Wall -g -extend_source -static -c calpulse.for

calunpack.o:	calunpack.for
		gcc -pg -g -Wall -extend_source -static -c calunpack.for

ocalunpack.o:	ocalunpack.for
		gcc -pg -g -Wall -extend_source -static -c ocalunpack.for

data2ntp.o:	data2ntp.for
		gcc -pg -g -extend_source -static -c data2ntp.for

all:		$(OBJ)
		g77 -pg -o data2ntp $(OBJ) -L./ -lstdc++ `cernlib `
#		cp -f data2ntp ../

old:		$(OOBJ)
		g77 -pg -o odata2ntp $(OOBJ) -L./ -lstdc++ `cernlib `
#		cp -f odata2ntp ../

clean:		
		rm -f *.o
		rm -f data2ntp
		rm -f odata2ntp

